Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/OSeaM.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/OSeaM.java	(revision 24808)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/OSeaM.java	(revision 24823)
@@ -29,5 +29,5 @@
 	@Override
 	public boolean stop() {
-		DataSet.removeSelectionListener(oseam.SmpListener);
+//		DataSet.removeSelectionListener(oseam.SmpListener);
 		return true;
 	}
@@ -35,5 +35,5 @@
 	@Override
 	public boolean hasFocus() {
-		DataSet.addSelectionListener(oseam.SmpListener);
+//		DataSet.addSelectionListener(oseam.SmpListener);
 		return true;
 	}
@@ -41,5 +41,5 @@
 	@Override
 	public boolean lostFocus() {
-		DataSet.removeSelectionListener(oseam.SmpListener);
+//		DataSet.removeSelectionListener(oseam.SmpListener);
 		return true;
 	}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java	(revision 24808)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java	(revision 24823)
@@ -39,13 +39,13 @@
 
 	public SelectionChangedListener SmpListener = new SelectionChangedListener() {
-		public void selectionChanged(
-				Collection<? extends OsmPrimitive> newSelection) {
-			Node node;
+		public void selectionChanged(Collection<? extends OsmPrimitive> newSelection) {
+			Node node = null;
 			Selection = newSelection;
 
+//System.out.println(newSelection);
 			for (OsmPrimitive osm : Selection) {
 				if (osm instanceof Node) {
 					node = (Node) osm;
-					if (Selection.size() == 1)
+					if (Selection.size() == 1) {
 						if (node.compareTo(SelNode) != 0) {
 							SelNode = node;
@@ -53,7 +53,11 @@
 							mark.paintSign();
 						}
+					}
 				}
 			}
-			Selection = null;
+			if (node == null) {
+				panelMain.clearSelections();
+				SelNode = null;
+			}
 		}
 	};
@@ -61,4 +65,5 @@
 	public OSeaMAction(SmedPluginManager mngr) {
 
+		DataSet.addSelectionListener(SmpListener);
 		manager = mngr;
 		String str = Main.pref.get("mappaint.style.sources");
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java	(revision 24808)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java	(revision 24823)
@@ -25,15 +25,15 @@
 
 	private ButtonGroup catButtons = null;
-	private JRadioButton portButton = null;
-	private JRadioButton stbdButton = null;
-	private JRadioButton prefPortButton = null;
-	private JRadioButton prefStbdButton = null;
-	private JRadioButton safeWaterButton = null;
+	public JRadioButton portButton = null;
+	public JRadioButton stbdButton = null;
+	public JRadioButton prefPortButton = null;
+	public JRadioButton prefStbdButton = null;
+	public JRadioButton safeWaterButton = null;
 	private ActionListener alCat = null;
-	private PanelPort panelPort = null;
-	private PanelStbd panelStbd = null;
-	private PanelPrefPort panelPrefPort = null;
-	private PanelPrefStbd panelPrefStbd = null;
-	private PanelSafeWater panelSafeWater = null;
+	public PanelPort panelPort = null;
+	public PanelStbd panelStbd = null;
+	public PanelPrefPort panelPrefPort = null;
+	public PanelPrefStbd panelPrefStbd = null;
+	public PanelSafeWater panelSafeWater = null;
 
 	public PanelChan() {
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java	(revision 24808)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java	(revision 24823)
@@ -23,10 +23,10 @@
 	private OSeaMAction dlg;
 	public JLabel shapeIcon = null;
-	private JLabel lightIcon = null;
-	private JLabel topIcon = null;
-	private JLabel reflIcon = null;
-	private JLabel radarIcon = null;
-	private JLabel fogIcon = null;
-	private JLabel nameLabel = null;
+	public JLabel lightIcon = null;
+	public JLabel topIcon = null;
+	public JLabel reflIcon = null;
+	public JLabel radarIcon = null;
+	public JLabel fogIcon = null;
+	public JLabel nameLabel = null;
 	public JTextField nameBox = null;
 	private JButton saveButton = null;
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkIsol.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkIsol.java	(revision 24808)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkIsol.java	(revision 24823)
@@ -3,10 +3,10 @@
 import java.util.Map;
 
+import org.openstreetmap.josm.Main;
+import org.openstreetmap.josm.command.ChangePropertyCommand;
 import org.openstreetmap.josm.data.osm.Node;
 
 import oseam.dialogs.OSeaMAction;
 import oseam.seamarks.SeaMark;
-import oseam.seamarks.SeaMark.Cat;
-import oseam.seamarks.SeaMark.Styl;
 
 public class MarkIsol extends SeaMark {
@@ -23,4 +23,7 @@
 		if (!dlg.panelMain.hazButton.isSelected())
 			dlg.panelMain.hazButton.doClick();
+
+		if (!dlg.panelMain.panelHaz.isolButton.isSelected())
+			dlg.panelMain.panelHaz.isolButton.doClick();
 
 		if (keys.containsKey("name"))
@@ -36,6 +39,4 @@
 		else if (keys.containsKey("seamark:light_float:name"))
 			setName(keys.get("seamark:light_float:name"));
-
-		dlg.panelMain.panelHaz.isolButton.doClick();
 
 		if (keys.containsKey("seamark:buoy_isolated_danger:shape")) {
@@ -116,27 +117,27 @@
 			}
 
-			String image = "/images/Cardinal"; //$NON-NLS-1$
+			String image = "/images/Cardinal";
 
 			switch (getStyleIndex()) {
 			case ISOL_PILLAR:
-				image += "_Pillar_Single"; //$NON-NLS-1$
+				image += "_Pillar_Single";
 				break;
 			case ISOL_SPAR:
-				image += "_Spar_Single"; //$NON-NLS-1$
+				image += "_Spar_Single";
 				break;
 			case ISOL_BEACON:
-				image += "_Beacon_Single"; //$NON-NLS-1$
+				image += "_Beacon_Single";
 				break;
 			case ISOL_TOWER:
-				image += "_Tower_Single"; //$NON-NLS-1$
+				image += "_Tower_Single";
 				break;
 			case ISOL_FLOAT:
-				image += "_Float_Single"; //$NON-NLS-1$
+				image += "_Float_Single";
 				break;
 			default:
 			}
 
-			if (!image.equals("/images/Cardinal")) { //$NON-NLS-1$
-				image += ".png"; //$NON-NLS-1$
+			if (!image.equals("/images/Cardinal")) {
+				image += ".png";
 				dlg.lM01Icon.setIcon(new ImageIcon(getClass().getResource(image)));
 			} else
@@ -144,5 +145,5 @@
 		} else {
 			dlg.tfM01Name.setEnabled(false);
-			dlg.tfM01Name.setText(""); //$NON-NLS-1$
+			dlg.tfM01Name.setText("");
 			dlg.cM01TopMark.setVisible(false);
 			dlg.cM01Radar.setVisible(false);
@@ -154,5 +155,5 @@
 
 	public void saveSign() {
-/*		Node node = getNode();
+		Node node = getNode();
 
 		if (node == null) {
@@ -160,56 +161,56 @@
 		}
 
-		switch (getStyleIndex()) {
-		case ISOL_PILLAR:
-			super.saveSign("buoy_isolated_danger"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_isolated_danger:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case ISOL_SPAR:
-			super.saveSign("buoy_isolated_danger"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_isolated_danger:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case ISOL_BEACON:
-			super.saveSign("beacon_isolated_danger"); //$NON-NLS-1$
-			break;
-		case ISOL_TOWER:
-			super.saveSign("beacon_isolated_danger"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:beacon_isolated_danger:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case ISOL_FLOAT:
-			super.saveSign("light_float"); //$NON-NLS-1$
+		switch (getShape()) {
+		case PILLAR:
+			super.saveSign("buoy_isolated_danger");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_isolated_danger:shape", "pillar"));
+			break;
+		case SPAR:
+			super.saveSign("buoy_isolated_danger");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_isolated_danger:shape", "spar"));
+			break;
+		case BEACON:
+			super.saveSign("beacon_isolated_danger");
+			break;
+		case TOWER:
+			super.saveSign("beacon_isolated_danger");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:beacon_isolated_danger:shape", "tower"));
+			break;
+		case FLOAT:
+			super.saveSign("light_float");
 			break;
 		default:
 		}
 
-		switch (getStyleIndex()) {
-		case ISOL_PILLAR:
-		case ISOL_SPAR:
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_isolated_danger:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_isolated_danger:colour", "black;red;black")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case ISOL_BEACON:
-		case ISOL_TOWER:
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:beacon_isolated_danger:colour_pattern", //$NON-NLS-1$
-					"horizontal stripes")); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:beacon_isolated_danger:colour", "black;red;black")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case ISOL_FLOAT:
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:light_float:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:light_float:colour", "black;red;black")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		}
-
-		saveTopMarkData("2 spheres", "black"); //$NON-NLS-1$ //$NON-NLS-2$
-		saveLightData(); //$NON-NLS-1$
+		switch (getShape()) {
+		case PILLAR:
+		case SPAR:
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_isolated_danger:colour_pattern", "horizontal stripes"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_isolated_danger:colour", "black;red;black"));
+			break;
+		case BEACON:
+		case TOWER:
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:beacon_isolated_danger:colour_pattern",
+					"horizontal stripes"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:beacon_isolated_danger:colour", "black;red;black"));
+			break;
+		case FLOAT:
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:light_float:colour_pattern", "horizontal stripes"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:light_float:colour", "black;red;black"));
+			break;
+		}
+
+		saveTopMarkData("2 spheres", "black");
+		saveLightData();
 		saveRadarFogData();
-*/	}
+	}
 }
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkLat.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkLat.java	(revision 24808)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkLat.java	(revision 24823)
@@ -4,4 +4,6 @@
 
 import org.openstreetmap.josm.data.osm.Node;
+import org.openstreetmap.josm.Main;
+import org.openstreetmap.josm.command.ChangePropertyCommand;
 
 import oseam.dialogs.OSeaMAction;
@@ -17,81 +19,61 @@
 		Map<String, String> keys;
 		keys = getNode().getKeys();
-/*
-		dlg.cbM01TypeOfMark.setSelectedIndex(LATERAL);
-
-		dlg.cbM01CatOfMark.removeAllItems();
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.152")); //$NON-NLS-1$
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.153")); //$NON-NLS-1$
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.154")); //$NON-NLS-1$
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.155")); //$NON-NLS-1$
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.156")); //$NON-NLS-1$
-
-		dlg.rbM01RegionA.setEnabled(true);
-		dlg.rbM01RegionB.setEnabled(true);
-		dlg.cbM01CatOfMark.setEnabled(true);
-		dlg.cbM01CatOfMark.setVisible(true);
-		dlg.lM01CatOfMark.setVisible(true);
-
-		dlg.cbM01StyleOfMark.removeAllItems();
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("SmpDialogAction.212")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.setEnabled(true);
-
-		if (keys.containsKey("name")) //$NON-NLS-1$
-			setName(keys.get("name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:buoy_lateral:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:buoy_lateral:name")); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:beacon_lateral:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:beacon_lateral:name")); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:light_float:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:light_float:name")); //$NON-NLS-1$
-
-		String cat = ""; //$NON-NLS-1$
-		String col = ""; //$NON-NLS-1$
-		String top = ""; //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:buoy_lateral:category")) //$NON-NLS-1$
-			cat = keys.get("seamark:buoy_lateral:category"); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:beacon_lateral:category")) //$NON-NLS-1$
-			cat = keys.get("seamark:beacon_lateral:category"); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:buoy_lateral:colour")) //$NON-NLS-1$
-			col = keys.get("seamark:buoy_lateral:colour"); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:beacon_lateral:colour")) //$NON-NLS-1$
-			col = keys.get("seamark:beacon_lateral:colour"); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:light_float:colour")) //$NON-NLS-1$
-			col = keys.get("seamark:light_float:colour"); //$NON-NLS-1$
-
-		if (getStyleIndex() != LAT_PERCH) {
-			if (keys.containsKey("seamark:topmark:shape")) { //$NON-NLS-1$
-				top = keys.get("seamark:topmark:shape"); //$NON-NLS-1$
-				setTopMark(true);
-			}
-			if (keys.containsKey("seamark:topmark:colour")) { //$NON-NLS-1$
+
+		if (!dlg.panelMain.chanButton.isSelected())
+			dlg.panelMain.chanButton.doClick();
+
+		if (keys.containsKey("name"))
+			setName(keys.get("name"));
+
+		if (keys.containsKey("seamark:name"))
+			setName(keys.get("seamark:name"));
+
+		if (keys.containsKey("seamark:buoy_lateral:name"))
+			setName(keys.get("seamark:buoy_lateral:name"));
+		else if (keys.containsKey("seamark:beacon_lateral:name"))
+			setName(keys.get("seamark:beacon_lateral:name"));
+		else if (keys.containsKey("seamark:light_float:name"))
+			setName(keys.get("seamark:light_float:name"));
+
+		String cat = "";
+		String col = "";
+		String top = "";
+
+		if (keys.containsKey("seamark:buoy_lateral:category"))
+			cat = keys.get("seamark:buoy_lateral:category");
+		else if (keys.containsKey("seamark:beacon_lateral:category"))
+			cat = keys.get("seamark:beacon_lateral:category");
+
+		if (keys.containsKey("seamark:buoy_lateral:colour"))
+			col = keys.get("seamark:buoy_lateral:colour");
+		else if (keys.containsKey("seamark:beacon_lateral:colour"))
+			col = keys.get("seamark:beacon_lateral:colour");
+		else if (keys.containsKey("seamark:light_float:colour"))
+			col = keys.get("seamark:light_float:colour");
+
+		if (getShape() != Styl.PERCH) {
+			if (keys.containsKey("seamark:topmark:shape")) {
+				top = keys.get("seamark:topmark:shape");
+//				setTopMark(true);
+			}
+			if (keys.containsKey("seamark:topmark:colour")) {
 				if (col.isEmpty()) col = keys.get("seamark:topmark:colour");
-				setTopMark(true);
+//				setTopMark(true);
 			}
 		}
 		
 		if (col.isEmpty()) {
-			if (keys.containsKey("seamark:light:colour")) //$NON-NLS-1$
-				col = keys.get("seamark:light:colour"); //$NON-NLS-1$
+			if (keys.containsKey("seamark:light:colour"))
+				col = keys.get("seamark:light:colour");
 		}
 
-		if (cat.isEmpty()) { //$NON-NLS-1$
-			if (col.equals("red")) { //$NON-NLS-1$
+		/*
+		if (cat.isEmpty()) {
+			if (col.equals("red")) {
 				setColour(RED);
-				if (top.equals("cylinder")) { //$NON-NLS-1$
+				if (top.equals("cylinder")) {
 					setBuoyIndex(PORT_HAND);
 					setRegion(IALA_A);
-				} else if (top.equals("cone, point up")) { //$NON-NLS-1$
+				} else if (top.equals("cone, point up")) {
 					setBuoyIndex(STARBOARD_HAND);
 					setRegion(IALA_B);
@@ -102,10 +84,10 @@
 						setBuoyIndex(STARBOARD_HAND);
 				}
-			} else if (col.equals("green")) { //$NON-NLS-1$
+			} else if (col.equals("green")) {
 				setColour(GREEN);
-				if (top.equals("cone, point up")) { //$NON-NLS-1$
+				if (top.equals("cone, point up")) {
 					setBuoyIndex(STARBOARD_HAND);
 					setRegion(IALA_A);
-				} else if (top.equals("cylinder")) { //$NON-NLS-1$
+				} else if (top.equals("cylinder")) {
 					setBuoyIndex(PORT_HAND);
 					setRegion(IALA_B);
@@ -116,10 +98,10 @@
 						setBuoyIndex(PORT_HAND);
 				}
-			} else if (col.equals("red;green;red")) { //$NON-NLS-1$
+			} else if (col.equals("red;green;red")) {
 				setColour(RED_GREEN_RED);
-				if (top.equals("cylinder")) { //$NON-NLS-1$
+				if (top.equals("cylinder")) {
 					setBuoyIndex(PREF_PORT_HAND);
 					setRegion(IALA_A);
-				} else if (top.equals("cone, point up")) { //$NON-NLS-1$
+				} else if (top.equals("cone, point up")) {
 					setBuoyIndex(PREF_STARBOARD_HAND);
 					setRegion(IALA_B);
@@ -130,10 +112,10 @@
 						setBuoyIndex(PREF_STARBOARD_HAND);
 				}
-			} else if (col.equals("green;red;green")) { //$NON-NLS-1$
+			} else if (col.equals("green;red;green")) {
 				setColour(GREEN_RED_GREEN);
-				if (top.equals("cone, point up")) { //$NON-NLS-1$
+				if (top.equals("cone, point up")) {
 					setBuoyIndex(PREF_STARBOARD_HAND);
 					setRegion(IALA_A);
-				} else if (top.equals("cylinder")) { //$NON-NLS-1$
+				} else if (top.equals("cylinder")) {
 					setBuoyIndex(PREF_PORT_HAND);
 					setRegion(IALA_B);
@@ -145,12 +127,12 @@
 				}
 			}
-		} else if (cat.equals("port")) { //$NON-NLS-1$
+		} else if (cat.equals("port")) {
 
 			setBuoyIndex(PORT_HAND);
 
-			if (col.equals("red")) { //$NON-NLS-1$
+			if (col.equals("red")) {
 				setRegion(IALA_A);
 				setColour(RED);
-			} else if (col.equals("green")) { //$NON-NLS-1$
+			} else if (col.equals("green")) {
 				setRegion(IALA_B);
 				setColour(GREEN);
@@ -161,12 +143,12 @@
 					setColour(GREEN);
 			}
-		} else if (cat.equals("starboard")) { //$NON-NLS-1$
+		} else if (cat.equals("starboard")) {
 
 			setBuoyIndex(STARBOARD_HAND);
 
-			if (col.equals("green")) { //$NON-NLS-1$
+			if (col.equals("green")) {
 				setRegion(IALA_A);
 				setColour(GREEN);
-			} else if (col.equals("red")) { //$NON-NLS-1$
+			} else if (col.equals("red")) {
 				setRegion(IALA_B);
 				setColour(RED);
@@ -177,12 +159,12 @@
 					setColour(RED);
 			}
-		} else if (cat.equals("preferred_channel_port")) { //$NON-NLS-1$
+		} else if (cat.equals("preferred_channel_port")) {
 
 			setBuoyIndex(PREF_PORT_HAND);
 
-			if (col.equals("red;green;red")) { //$NON-NLS-1$
+			if (col.equals("red;green;red")) {
 				setRegion(IALA_A);
 				setColour(RED_GREEN_RED);
-			} else if (col.equals("green;red;green")) { //$NON-NLS-1$
+			} else if (col.equals("green;red;green")) {
 				setRegion(IALA_B);
 				setColour(GREEN_RED_GREEN);
@@ -194,12 +176,12 @@
 			}
 
-		} else if (cat.equals("preferred_channel_starboard")) { //$NON-NLS-1$
+		} else if (cat.equals("preferred_channel_starboard")) {
 
 			setBuoyIndex(PREF_STARBOARD_HAND);
 
-			if (col.equals("green;red;green")) { //$NON-NLS-1$
+			if (col.equals("green;red;green")) {
 				setRegion(IALA_A);
 				setColour(GREEN_RED_GREEN);
-			} else if (col.equals("red;green;red")) { //$NON-NLS-1$
+			} else if (col.equals("red;green;red")) {
 				setRegion(IALA_B);
 				setColour(RED_GREEN_RED);
@@ -212,57 +194,57 @@
 		}
 
-		if (keys.containsKey("seamark:buoy_lateral:shape")) { //$NON-NLS-1$
-			str = keys.get("seamark:buoy_lateral:shape"); //$NON-NLS-1$
+		if (keys.containsKey("seamark:buoy_lateral:shape")) {
+			str = keys.get("seamark:buoy_lateral:shape");
 
 			switch (getBuoyIndex()) {
 			case PORT_HAND:
-				if (str.equals("can")) //$NON-NLS-1$
+				if (str.equals("can"))
 					setStyleIndex(LAT_CAN);
-				else if (str.equals("pillar")) //$NON-NLS-1$
+				else if (str.equals("pillar"))
 					setStyleIndex(LAT_PILLAR);
-				else if (str.equals("spar")) //$NON-NLS-1$
+				else if (str.equals("spar"))
 					setStyleIndex(LAT_SPAR);
 				break;
 
 			case PREF_PORT_HAND:
-				if (str.equals("can")) //$NON-NLS-1$
+				if (str.equals("can"))
 					setStyleIndex(LAT_CAN);
-				else if (str.equals("pillar")) //$NON-NLS-1$
+				else if (str.equals("pillar"))
 					setStyleIndex(LAT_PILLAR);
-				else if (str.equals("spar")) //$NON-NLS-1$
+				else if (str.equals("spar"))
 					setStyleIndex(LAT_SPAR);
 				break;
 
 			case STARBOARD_HAND:
-				if (str.equals("conical")) //$NON-NLS-1$
+				if (str.equals("conical"))
 					setStyleIndex(LAT_CONE);
-				else if (str.equals("pillar")) //$NON-NLS-1$
+				else if (str.equals("pillar"))
 					setStyleIndex(LAT_PILLAR);
-				else if (str.equals("spar")) //$NON-NLS-1$
+				else if (str.equals("spar"))
 					setStyleIndex(LAT_SPAR);
 				break;
 
 			case PREF_STARBOARD_HAND:
-				if (str.equals("conical")) //$NON-NLS-1$
+				if (str.equals("conical"))
 					setStyleIndex(LAT_CONE);
-				else if (str.equals("pillar")) //$NON-NLS-1$
+				else if (str.equals("pillar"))
 					setStyleIndex(LAT_PILLAR);
-				else if (str.equals("spar")) //$NON-NLS-1$
+				else if (str.equals("spar"))
 					setStyleIndex(LAT_SPAR);
 				break;
 			}
-		} else if (keys.containsKey("seamark:beacon_lateral:shape")) { //$NON-NLS-1$
-			str = keys.get("seamark:beacon_lateral:shape"); //$NON-NLS-1$
-			if (str.equals("tower")) //$NON-NLS-1$
+		} else if (keys.containsKey("seamark:beacon_lateral:shape")) {
+			str = keys.get("seamark:beacon_lateral:shape");
+			if (str.equals("tower"))
 				setStyleIndex(LAT_TOWER);
-			else if (str.equals("perch")) //$NON-NLS-1$
+			else if (str.equals("perch"))
 				setStyleIndex(LAT_PERCH);
 			else
 				setStyleIndex(LAT_BEACON);
-		} else if (keys.containsKey("seamark:type") //$NON-NLS-1$
-				&& (keys.get("seamark:type").equals("beacon_lateral"))) { //$NON-NLS-1$ //$NON-NLS-2$
+		} else if (keys.containsKey("seamark:type")
+				&& (keys.get("seamark:type").equals("beacon_lateral"))) {
 			setStyleIndex(LAT_BEACON);
-		} else if (keys.containsKey("seamark:type") //$NON-NLS-1$
-				&& (keys.get("seamark:type").equals("light_float"))) { //$NON-NLS-1$ //$NON-NLS-2$
+		} else if (keys.containsKey("seamark:type")
+				&& (keys.get("seamark:type").equals("light_float"))) {
 			setStyleIndex(LAT_FLOAT);
 		}
@@ -285,40 +267,40 @@
 
 		dlg.cbM01StyleOfMark.removeAllItems();
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("SmpDialogAction.213")); //$NON-NLS-1$
+		dlg.cbM01StyleOfMark.addItem(Messages.getString("SmpDialogAction.213"));
 
 		switch (type) {
 		case PORT_HAND:
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.02")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.10")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.02"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.10"));
 			break;
 		case STARBOARD_HAND:
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.03")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.10")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.03"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.10"));
 			break;
 		case PREF_PORT_HAND:
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.02")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.02"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07"));
 			break;
 		case PREF_STARBOARD_HAND:
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.03")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
-			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.03"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06"));
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07"));
 			break;
 		}
@@ -343,12 +325,12 @@
 		if (getRegion() == IALA_A) {
 			if (getBuoyIndex() == PORT_HAND || getBuoyIndex() == PREF_PORT_HAND)
-				super.setLightColour("R"); //$NON-NLS-1$
+				super.setLightColour("R");
 			else
-				super.setLightColour("G"); //$NON-NLS-1$
+				super.setLightColour("G");
 		} else {
 			if (getBuoyIndex() == PORT_HAND || getBuoyIndex() == PREF_PORT_HAND)
-				super.setLightColour("G"); //$NON-NLS-1$
+				super.setLightColour("G");
 			else
-				super.setLightColour("R"); //$NON-NLS-1$
+				super.setLightColour("R");
 		}
 	}
@@ -411,5 +393,5 @@
 			}
 
-			String image = "/images/Lateral"; //$NON-NLS-1$
+			String image = "/images/Lateral";
 
 			switch (getBuoyIndex()) {
@@ -418,23 +400,23 @@
 					switch (style) {
 					case LAT_CAN:
-						image += "_Can_Red"; //$NON-NLS-1$
+						image += "_Can_Red";
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Red"; //$NON-NLS-1$
+						image += "_Pillar_Red";
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Red"; //$NON-NLS-1$
+						image += "_Spar_Red";
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Red"; //$NON-NLS-1$
+						image += "_Beacon_Red";
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Red"; //$NON-NLS-1$
+						image += "_Tower_Red";
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Red"; //$NON-NLS-1$
+						image += "_Float_Red";
 						break;
 					case LAT_PERCH:
-						image += "_Perch_Port"; //$NON-NLS-1$
+						image += "_Perch_Port";
 						break;
 					default:
@@ -443,23 +425,23 @@
 					switch (style) {
 					case LAT_CAN:
-						image += "_Can_Green"; //$NON-NLS-1$
+						image += "_Can_Green";
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Green"; //$NON-NLS-1$
+						image += "_Pillar_Green";
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Green"; //$NON-NLS-1$
+						image += "_Spar_Green";
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Green"; //$NON-NLS-1$
+						image += "_Beacon_Green";
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Green"; //$NON-NLS-1$
+						image += "_Tower_Green";
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Green"; //$NON-NLS-1$
+						image += "_Float_Green";
 						break;
 					case LAT_PERCH:
-						image += "_Perch_Port"; //$NON-NLS-1$
+						image += "_Perch_Port";
 						break;
 					default:
@@ -471,23 +453,23 @@
 					switch (style) {
 					case LAT_CONE:
-						image += "_Cone_Green"; //$NON-NLS-1$
+						image += "_Cone_Green";
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Green"; //$NON-NLS-1$
+						image += "_Pillar_Green";
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Green"; //$NON-NLS-1$
+						image += "_Spar_Green";
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Green"; //$NON-NLS-1$
+						image += "_Beacon_Green";
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Green"; //$NON-NLS-1$
+						image += "_Tower_Green";
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Green"; //$NON-NLS-1$
+						image += "_Float_Green";
 						break;
 					case LAT_PERCH:
-						image += "_Perch_Starboard"; //$NON-NLS-1$
+						image += "_Perch_Starboard";
 						break;
 					default:
@@ -496,23 +478,23 @@
 					switch (style) {
 					case LAT_CONE:
-						image += "_Cone_Red"; //$NON-NLS-1$
+						image += "_Cone_Red";
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Red"; //$NON-NLS-1$
+						image += "_Pillar_Red";
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Red"; //$NON-NLS-1$
+						image += "_Spar_Red";
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Red"; //$NON-NLS-1$
+						image += "_Beacon_Red";
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Red"; //$NON-NLS-1$
+						image += "_Tower_Red";
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Red"; //$NON-NLS-1$
+						image += "_Float_Red";
 						break;
 					case LAT_PERCH:
-						image += "_Perch_Starboard"; //$NON-NLS-1$
+						image += "_Perch_Starboard";
 						break;
 					default:
@@ -524,20 +506,20 @@
 					switch (style) {
 					case LAT_CAN:
-						image += "_Can_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Can_Red_Green_Red";
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Pillar_Red_Green_Red";
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Spar_Red_Green_Red";
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Beacon_Red_Green_Red";
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Tower_Red_Green_Red";
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Float_Red_Green_Red";
 						break;
 					default:
@@ -546,20 +528,20 @@
 					switch (style) {
 					case LAT_CAN:
-						image += "_Can_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Can_Green_Red_Green";
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Pillar_Green_Red_Green";
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Spar_Green_Red_Green";
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Beacon_Green_Red_Green";
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Tower_Green_Red_Green";
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Float_Green_Red_Green";
 						break;
 					default:
@@ -571,20 +553,20 @@
 					switch (style) {
 					case LAT_CONE:
-						image += "_Cone_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Cone_Green_Red_Green";
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Pillar_Green_Red_Green";
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Spar_Green_Red_Green";
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Beacon_Green_Red_Green";
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Tower_Green_Red_Green";
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Green_Red_Green"; //$NON-NLS-1$
+						image += "_Float_Green_Red_Green";
 						break;
 					default:
@@ -593,20 +575,20 @@
 					switch (style) {
 					case LAT_CONE:
-						image += "_Cone_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Cone_Red_Green_Red";
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Pillar_Red_Green_Red";
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Spar_Red_Green_Red";
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Beacon_Red_Green_Red";
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Tower_Red_Green_Red";
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Red_Green_Red"; //$NON-NLS-1$
+						image += "_Float_Red_Green_Red";
 						break;
 					default:
@@ -617,7 +599,7 @@
 			}
 
-			if (!image.equals("/images/Lateral")) { //$NON-NLS-1$
-
-				image += ".png"; //$NON-NLS-1$
+			if (!image.equals("/images/Lateral")) {
+
+				image += ".png";
 				dlg.lM01Icon.setIcon(new ImageIcon(getClass().getResource(image)));
 
@@ -630,16 +612,16 @@
 							switch (style) {
 							case LAT_CAN:
-								image = "/images/Top_Can_Red_Buoy_Small.png"; //$NON-NLS-1$
+								image = "/images/Top_Can_Red_Buoy_Small.png";
 								break;
 							case LAT_PILLAR:
 							case LAT_SPAR:
-								image = "/images/Top_Can_Red_Buoy.png"; //$NON-NLS-1$
+								image = "/images/Top_Can_Red_Buoy.png";
 								break;
 							case LAT_BEACON:
 							case LAT_TOWER:
-								image = "/images/Top_Can_Red_Beacon.png"; //$NON-NLS-1$
+								image = "/images/Top_Can_Red_Beacon.png";
 								break;
 							case LAT_FLOAT:
-								image = "/images/Top_Can_Red_Float.png"; //$NON-NLS-1$
+								image = "/images/Top_Can_Red_Float.png";
 								break;
 							}
@@ -647,16 +629,16 @@
 							switch (style) {
 							case LAT_CAN:
-								image = "/images/Top_Can_Green_Buoy_Small.png"; //$NON-NLS-1$
+								image = "/images/Top_Can_Green_Buoy_Small.png";
 								break;
 							case LAT_PILLAR:
 							case LAT_SPAR:
-								image = "/images/Top_Can_Green_Buoy.png"; //$NON-NLS-1$
+								image = "/images/Top_Can_Green_Buoy.png";
 								break;
 							case LAT_BEACON:
 							case LAT_TOWER:
-								image = "/images/Top_Can_Green_Beacon.png"; //$NON-NLS-1$
+								image = "/images/Top_Can_Green_Beacon.png";
 								break;
 							case LAT_FLOAT:
-								image = "/images/Top_Can_Green_Float.png"; //$NON-NLS-1$
+								image = "/images/Top_Can_Green_Float.png";
 								break;
 							}
@@ -668,16 +650,16 @@
 							switch (style) {
 							case LAT_CONE:
-								image = "/images/Top_Cone_Green_Buoy_Small.png"; //$NON-NLS-1$
+								image = "/images/Top_Cone_Green_Buoy_Small.png";
 								break;
 							case LAT_PILLAR:
 							case LAT_SPAR:
-								image = "/images/Top_Cone_Green_Buoy.png"; //$NON-NLS-1$
+								image = "/images/Top_Cone_Green_Buoy.png";
 								break;
 							case LAT_BEACON:
 							case LAT_TOWER:
-								image = "/images/Top_Cone_Green_Beacon.png"; //$NON-NLS-1$
+								image = "/images/Top_Cone_Green_Beacon.png";
 								break;
 							case LAT_FLOAT:
-								image = "/images/Top_Cone_Green_Float.png"; //$NON-NLS-1$
+								image = "/images/Top_Cone_Green_Float.png";
 								break;
 							}
@@ -685,16 +667,16 @@
 							switch (style) {
 							case LAT_CONE:
-								image = "/images/Top_Cone_Red_Buoy_Small.png"; //$NON-NLS-1$
+								image = "/images/Top_Cone_Red_Buoy_Small.png";
 								break;
 							case LAT_PILLAR:
 							case LAT_SPAR:
-								image = "/images/Top_Cone_Red_Buoy.png"; //$NON-NLS-1$
+								image = "/images/Top_Cone_Red_Buoy.png";
 								break;
 							case LAT_BEACON:
 							case LAT_TOWER:
-								image = "/images/Top_Cone_Red_Beacon.png"; //$NON-NLS-1$
+								image = "/images/Top_Cone_Red_Beacon.png";
 								break;
 							case LAT_FLOAT:
-								image = "/images/Top_Cone_Red_Float.png"; //$NON-NLS-1$
+								image = "/images/Top_Cone_Red_Float.png";
 								break;
 							}
@@ -710,5 +692,5 @@
 
 	public void saveSign() {
-/*		Node node = getNode();
+		Node node = getNode();
 
 		if (node == null) {
@@ -716,342 +698,342 @@
 		}
 
-		int cat = getBuoyIndex();
-		String shape = ""; //$NON-NLS-1$
-		String colour = ""; //$NON-NLS-1$
+		Cat cat = getCategory();
+		String shape = "";
+		String colour = "";
 
 		switch (cat) {
 
 		case PORT_HAND:
-			switch (getStyleIndex()) {
-			case LAT_CAN:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "can")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_PILLAR:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_SPAR:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_BEACON:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				break;
-			case LAT_TOWER:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_FLOAT:
-				super.saveSign("light_float"); //$NON-NLS-1$
-				break;
-			case LAT_PERCH:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "perch")); //$NON-NLS-1$ //$NON-NLS-2$
+			switch (getShape()) {
+			case CAN:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "can"));
+				break;
+			case PILLAR:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "pillar"));
+				break;
+			case SPAR:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "spar"));
+				break;
+			case BEACON:
+				super.saveSign("beacon_lateral");
+				break;
+			case TOWER:
+				super.saveSign("beacon_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "tower"));
+				break;
+			case FLOAT:
+				super.saveSign("light_float");
+				break;
+			case PERCH:
+				super.saveSign("beacon_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "perch"));
 				break;
 			default:
 			}
-			switch (getStyleIndex()) {
-			case LAT_CAN:
-			case LAT_PILLAR:
-			case LAT_SPAR:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:category", "port")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				}
-				break;
-			case LAT_PERCH:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "port")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_BEACON:
-			case LAT_TOWER:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "port")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				}
-				break;
-			case LAT_FLOAT:
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				}
-				break;
-			}
-			shape = "cylinder"; //$NON-NLS-1$
+			switch (getShape()) {
+			case CAN:
+			case PILLAR:
+			case SPAR:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:category", "port"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "red"));
+					colour = "red";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "green"));
+					colour = "green";
+				}
+				break;
+			case PERCH:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:category", "port"));
+				break;
+			case BEACON:
+			case TOWER:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:category", "port"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "red"));
+					colour = "red";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "green"));
+					colour = "green";
+				}
+				break;
+			case FLOAT:
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "red"));
+					colour = "red";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "green"));
+					colour = "green";
+				}
+				break;
+			}
+			shape = "cylinder";
 			break;
 
 		case PREF_PORT_HAND:
-			switch (getStyleIndex()) {
-			case LAT_CAN:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "can")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_PILLAR:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_SPAR:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_BEACON:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				break;
-			case LAT_TOWER:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_FLOAT:
-				super.saveSign("light_float"); //$NON-NLS-1$
+			switch (getShape()) {
+			case CAN:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "can"));
+				break;
+			case PILLAR:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "pillar"));
+				break;
+			case SPAR:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "spar"));
+				break;
+			case BEACON:
+				super.saveSign("beacon_lateral");
+				break;
+			case TOWER:
+				super.saveSign("beacon_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "tower"));
+				break;
+			case FLOAT:
+				super.saveSign("light_float");
 				break;
 			default:
 			}
-			switch (getStyleIndex()) {
-			case LAT_CAN:
-			case LAT_PILLAR:
-			case LAT_SPAR:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:category", "preferred_channel_port")); //$NON-NLS-1$ //$NON-NLS-2$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				}
-				break;
-			case LAT_BEACON:
-			case LAT_TOWER:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "preferred_channel_port")); //$NON-NLS-1$ //$NON-NLS-2$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				}
-				break;
-			case LAT_FLOAT:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:light_float:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				}
-				break;
-			}
-			shape = "cylinder"; //$NON-NLS-1$
+			switch (getShape()) {
+			case CAN:
+			case PILLAR:
+			case SPAR:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:category", "preferred_channel_port"));
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:colour_pattern", "horizontal stripes"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "red;green;red"));
+					colour = "red";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "green;red;green"));
+					colour = "green";
+				}
+				break;
+			case BEACON:
+			case TOWER:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:category", "preferred_channel_port"));
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:colour_pattern", "horizontal stripes"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "red;green;red"));
+					colour = "red";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "green;red;green"));
+					colour = "green";
+				}
+				break;
+			case FLOAT:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:light_float:colour_pattern", "horizontal stripes"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "red;green;red"));
+					colour = "red";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "green;red;green"));
+					colour = "green";
+				}
+				break;
+			}
+			shape = "cylinder";
 			break;
 
 		case STARBOARD_HAND:
-			switch (getStyleIndex()) {
-			case LAT_CONE:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "conical")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_PILLAR:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_SPAR:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_BEACON:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "stake")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_TOWER:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_FLOAT:
-				super.saveSign("light_float"); //$NON-NLS-1$
-				break;
-			case LAT_PERCH:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "perch")); //$NON-NLS-1$ //$NON-NLS-2$
+			switch (getShape()) {
+			case CONE:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "conical"));
+				break;
+			case PILLAR:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "pillar"));
+				break;
+			case SPAR:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "spar"));
+				break;
+			case BEACON:
+				super.saveSign("beacon_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "stake"));
+				break;
+			case TOWER:
+				super.saveSign("beacon_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "tower"));
+				break;
+			case FLOAT:
+				super.saveSign("light_float");
+				break;
+			case PERCH:
+				super.saveSign("beacon_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "perch"));
 				break;
 			default:
 			}
-			switch (getStyleIndex()) {
-			case LAT_CAN:
-			case LAT_PILLAR:
-			case LAT_SPAR:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:category", "starboard")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				}
-				break;
-			case LAT_BEACON:
-			case LAT_TOWER:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "starboard")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				}
-				break;
-			case LAT_FLOAT:
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				}
-				break;
-			case LAT_PERCH:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "starboard")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			}
-			shape = "cone, point up"; //$NON-NLS-1$
+			switch (getShape()) {
+			case CAN:
+			case PILLAR:
+			case SPAR:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:category", "starboard"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "green"));
+					colour = "green";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "red"));
+					colour = "red";
+				}
+				break;
+			case BEACON:
+			case TOWER:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:category", "starboard"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "green"));
+					colour = "green";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "red"));
+					colour = "red";
+				}
+				break;
+			case FLOAT:
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "green"));
+					colour = "green";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "red"));
+					colour = "red";
+				}
+				break;
+			case PERCH:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:category", "starboard"));
+				break;
+			}
+			shape = "cone, point up";
 			break;
 
 		case PREF_STARBOARD_HAND:
-			switch (getStyleIndex()) {
-			case LAT_CONE:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "conical")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_PILLAR:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_SPAR:
-				super.saveSign("buoy_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_BEACON:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "stake")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_TOWER:
-				super.saveSign("beacon_lateral"); //$NON-NLS-1$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
-				break;
-			case LAT_FLOAT:
-				super.saveSign("light_float"); //$NON-NLS-1$
+			switch (getShape()) {
+			case CONE:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "conical"));
+				break;
+			case PILLAR:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "pillar"));
+				break;
+			case SPAR:
+				super.saveSign("buoy_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "spar"));
+				break;
+			case BEACON:
+				super.saveSign("beacon_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "stake"));
+				break;
+			case TOWER:
+				super.saveSign("beacon_lateral");
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "tower"));
+				break;
+			case FLOAT:
+				super.saveSign("light_float");
 				break;
 			default:
 			}
-			switch (getStyleIndex()) {
-			case LAT_CAN:
-			case LAT_PILLAR:
-			case LAT_SPAR:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:category", "preferred_channel_starboard")); //$NON-NLS-1$ //$NON-NLS-2$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				}
-				break;
-			case LAT_BEACON:
-			case LAT_TOWER:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "preferred_channel_starboard")); //$NON-NLS-1$ //$NON-NLS-2$
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				}
-				break;
-			case LAT_FLOAT:
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:light_float:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "green"; //$NON-NLS-1$
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
-					colour = "red"; //$NON-NLS-1$
-				}
-				break;
-			}
-			shape = "cone, point up"; //$NON-NLS-1$
+			switch (getShape()) {
+			case CAN:
+			case PILLAR:
+			case SPAR:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:category", "preferred_channel_starboard"));
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:colour_pattern", "horizontal stripes"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "green;red;green"));
+					colour = "green";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "red;green;red"));
+					colour = "red";
+				}
+				break;
+			case BEACON:
+			case TOWER:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:category", "preferred_channel_starboard"));
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:colour_pattern", "horizontal stripes"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "green;red;green"));
+					colour = "green";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "red;green;red"));
+					colour = "red";
+				}
+				break;
+			case FLOAT:
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:light_float:colour_pattern", "horizontal stripes"));
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "green;red;green"));
+					colour = "green";
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "red;green;red"));
+					colour = "red";
+				}
+				break;
+			}
+			shape = "cone, point up";
 			break;
 
@@ -1062,5 +1044,5 @@
 		saveRadarFogData();
 
-		Main.pref.put("tomsplugin.IALA", getRegion() ? "B" : "A"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-*/	}
+		Main.pref.put("tomsplugin.IALA", getRegion() ? "B" : "A");
+	}
 }
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkLight.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkLight.java	(revision 24808)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkLight.java	(revision 24823)
@@ -18,36 +18,27 @@
 		keys = getNode().getKeys();
 
-/*		dlg.cbM01TypeOfMark.setSelectedIndex(LIGHT);
+		if (!dlg.panelMain.lightsButton.isSelected())
+			dlg.panelMain.lightsButton.doClick();
 
-		dlg.cbM01CatOfMark.setEnabled(true);
-		dlg.cbM01CatOfMark.setVisible(true);
-		dlg.lM01CatOfMark.setVisible(true);
+		if (keys.containsKey("name"))
+			setName(keys.get("name"));
 
-		dlg.cbM01CatOfMark.removeAllItems();
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.157")); //$NON-NLS-1$
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.206")); //$NON-NLS-1$
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.207")); //$NON-NLS-1$
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.208")); //$NON-NLS-1$
-		dlg.cbM01CatOfMark.addItem(Messages.getString("SmpDialogAction.209")); //$NON-NLS-1$
+		if (keys.containsKey("seamark:name"))
+			setName(keys.get("seamark:name"));
 
-		setRegion(Main.pref.get("tomsplugin.IALA").equals("B")); //$NON-NLS-1$ //$NON-NLS-2$
+		if (keys.containsKey("seamark:landmark:name"))
+			setName(keys.get("seamark:landmark:name"));
+		else if (keys.containsKey("seamark:light_major:name"))
+			setName(keys.get("seamark:light_major:name"));
+		else if (keys.containsKey("seamark:light_minor:name"))
+			setName(keys.get("seamark:light_minor:name"));
+		else if (keys.containsKey("seamark:light_vessel:name"))
+			setName(keys.get("seamark:light_vessel:name"));
+		else if (keys.containsKey("seamark:light_float:name"))
+			setName(keys.get("seamark:light_float:name"));
 
-		if (keys.containsKey("name")) //$NON-NLS-1$
-			setName(keys.get("name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:landmark:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:landmark:name")); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:light_major:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:light_major:name")); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:light_minor:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:light_minor:name")); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:light_vessel:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:light_vessel:name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:type")) { //$NON-NLS-1$
-			String type = keys.get("seamark:type"); //$NON-NLS-1$
+		/*
+		if (keys.containsKey("seamark:type")) {
+			String type = keys.get("seamark:type");
 			if (type.equals("landmark"))
 				setBuoyIndex(LIGHT_HOUSE);
@@ -60,5 +51,4 @@
 		}
 
-		refreshLights();
 		parseLights(keys);
 		parseFogRadar(keys);
@@ -98,20 +88,20 @@
 			case SeaMark.LIGHT_HOUSE:
 				dlg.lM01Icon.setIcon(new ImageIcon(getClass().getResource(
-						"/images/Light_House.png"))); //$NON-NLS-1$
+						"/images/Light_House.png")));
 				break;
 
 			case SeaMark.LIGHT_MAJOR:
 				dlg.lM01Icon.setIcon(new ImageIcon(getClass().getResource(
-						"/images/Light_Major.png"))); //$NON-NLS-1$
+						"/images/Light_Major.png")));
 				break;
 
 			case SeaMark.LIGHT_MINOR:
 				dlg.lM01Icon.setIcon(new ImageIcon(getClass().getResource(
-						"/images/Light_Minor.png"))); //$NON-NLS-1$
+						"/images/Light_Minor.png")));
 				break;
 
 			case SeaMark.LIGHT_VESSEL:
 				dlg.lM01Icon.setIcon(new ImageIcon(getClass().getResource(
-						"/images/Major_Float.png"))); //$NON-NLS-1$
+						"/images/Major_Float.png")));
 				break;
 
@@ -122,5 +112,5 @@
 
 	public void saveSign() {
-/*		Node node = getNode();
+		Node node = getNode();
 
 		if (node == null) {
@@ -128,22 +118,22 @@
 		}
 
-		switch (getBuoyIndex()) {
+		switch (getCategory()) {
 		case LIGHT_HOUSE:
-			super.saveSign("landmark"); //$NON-NLS-1$
+			super.saveSign("landmark");
 			break;
 		case LIGHT_MAJOR:
-			super.saveSign("light_major"); //$NON-NLS-1$
+			super.saveSign("light_major");
 			break;
 		case LIGHT_MINOR:
-			super.saveSign("light_minor"); //$NON-NLS-1$
+			super.saveSign("light_minor");
 			break;
 		case LIGHT_VESSEL:
-			super.saveSign("light_vessel"); //$NON-NLS-1$
+			super.saveSign("light_vessel");
 			break;
 		default:
 		}
-		saveLightData(); //$NON-NLS-1$
+		saveLightData();
 		saveRadarFogData();
-*/	}
+	}
 
 	public void setLightColour() {
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkSaw.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkSaw.java	(revision 24808)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkSaw.java	(revision 24823)
@@ -4,4 +4,6 @@
 
 import org.openstreetmap.josm.data.osm.Node;
+import org.openstreetmap.josm.Main;
+import org.openstreetmap.josm.command.ChangePropertyCommand;
 
 import oseam.dialogs.OSeaMAction;
@@ -19,48 +21,43 @@
 		keys = getNode().getKeys();
 
-/*		dlg.cbM01TypeOfMark.setSelectedIndex(SAFE_WATER);
-
-		dlg.cbM01StyleOfMark.removeAllItems();
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("SmpDialogAction.212")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.08")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.setVisible(true);
-		dlg.lM01StyleOfMark.setVisible(true);
+		if (!dlg.panelMain.chanButton.isSelected())
+			dlg.panelMain.chanButton.doClick();
+		if (!dlg.panelMain.panelChan.safeWaterButton.isSelected())
+			dlg.panelMain.panelChan.safeWaterButton.doClick();
+
+		if (keys.containsKey("name"))
+			setName(keys.get("name"));
+
+		if (keys.containsKey("seamark:name"))
+			setName(keys.get("seamark:name"));
+
+		if (keys.containsKey("seamark:buoy_safe_water:name"))
+			setName(keys.get("seamark:buoy_safe_water:name"));
+		else if (keys.containsKey("seamark:beacon_safe_water:name"))
+			setName(keys.get("seamark:beacon_safe_water:name"));
+		else if (keys.containsKey("seamark:light_float:name"))
+			setName(keys.get("seamark:light_float:name"));
+
+/*
 
 		setBuoyIndex(SAFE_WATER);
 		setColour(SeaMark.RED_WHITE);
-		setLightColour("W"); //$NON-NLS-1$
-		setRegion(Main.pref.get("tomsplugin.IALA").equals("B")); //$NON-NLS-1$ //$NON-NLS-2$
-
-		if (keys.containsKey("name")) //$NON-NLS-1$
-			setName(keys.get("name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:buoy_safe_water:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:buoy_safe_water:name")); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:beacon_safe_water:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:beacon_safe_water:name")); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:light_float:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:light_float:name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:buoy_safe_water:shape")) { //$NON-NLS-1$
-			str = keys.get("seamark:buoy_safe_water:shape"); //$NON-NLS-1$
-
-			if (str.equals("pillar")) //$NON-NLS-1$
+		setLightColour("W");
+		setRegion(Main.pref.get("tomsplugin.IALA").equals("B"));
+
+		if (keys.containsKey("seamark:buoy_safe_water:shape")) {
+			str = keys.get("seamark:buoy_safe_water:shape");
+
+			if (str.equals("pillar"))
 				setStyleIndex(SAFE_PILLAR);
-			else if (str.equals("spar")) //$NON-NLS-1$
+			else if (str.equals("spar"))
 				setStyleIndex(SAFE_SPAR);
-			else if (str.equals("sphere")) //$NON-NLS-1$
+			else if (str.equals("sphere"))
 				setStyleIndex(SAFE_SPHERE);
-		} else if ((keys.containsKey("seamark:type")) //$NON-NLS-1$
-				&& (keys.get("seamark:type").equals("light_float"))) { //$NON-NLS-1$ //$NON-NLS-2$
+		} else if ((keys.containsKey("seamark:type"))
+				&& (keys.get("seamark:type").equals("light_float"))) {
 			setStyleIndex(SAFE_FLOAT);
-		} else if ((keys.containsKey("seamark:type")) //$NON-NLS-1$
-				&& (keys.get("seamark:type").equals("beacon_safe_water"))) { //$NON-NLS-1$ //$NON-NLS-2$
+		} else if ((keys.containsKey("seamark:type"))
+				&& (keys.get("seamark:type").equals("beacon_safe_water"))) {
 			setStyleIndex(SAFE_BEACON);
 		}
@@ -69,6 +66,6 @@
 			setStyleIndex(0);
 
-		if (keys.containsKey("seamark:topmark:shape") //$NON-NLS-1$
-				|| keys.containsKey("seamark:topmark:colour")) { //$NON-NLS-1$
+		if (keys.containsKey("seamark:topmark:shape")
+				|| keys.containsKey("seamark:topmark:colour")) {
 			setTopMark(true);
 		}
@@ -85,9 +82,9 @@
 	public void refreshLights() {
 		dlg.cbM01Kennung.removeAllItems();
-		dlg.cbM01Kennung.addItem(Messages.getString("SmpDialogAction.212")); //$NON-NLS-1$
-		dlg.cbM01Kennung.addItem("Iso"); //$NON-NLS-1$
-		dlg.cbM01Kennung.addItem("Oc"); //$NON-NLS-1$
-		dlg.cbM01Kennung.addItem("LFl"); //$NON-NLS-1$
-		dlg.cbM01Kennung.addItem("Mo"); //$NON-NLS-1$
+		dlg.cbM01Kennung.addItem(Messages.getString("SmpDialogAction.212"));
+		dlg.cbM01Kennung.addItem("Iso");
+		dlg.cbM01Kennung.addItem("Oc");
+		dlg.cbM01Kennung.addItem("LFl");
+		dlg.cbM01Kennung.addItem("Mo");
 		dlg.cbM01Kennung.setSelectedIndex(0);
 	}
@@ -98,5 +95,5 @@
 
 	public void setLightColour() {
-		super.setLightColour("W"); //$NON-NLS-1$
+		super.setLightColour("W");
 	}
 */
@@ -142,27 +139,27 @@
 			}
 
-			String image = "/images/Safe_Water"; //$NON-NLS-1$
+			String image = "/images/Safe_Water";
 
 			switch (getStyleIndex()) {
 			case SAFE_PILLAR:
-				image += "_Pillar"; //$NON-NLS-1$
+				image += "_Pillar";
 				break;
 			case SAFE_SPAR:
-				image += "_Spar"; //$NON-NLS-1$
+				image += "_Spar";
 				break;
 			case SAFE_SPHERE:
-				image += "_Sphere"; //$NON-NLS-1$
+				image += "_Sphere";
 				break;
 			case SAFE_BEACON:
-				image += "_Beacon"; //$NON-NLS-1$
+				image += "_Beacon";
 				break;
 			case SAFE_FLOAT:
-				image += "_Float"; //$NON-NLS-1$
+				image += "_Float";
 				break;
 			default:
 			}
 
-			if (!image.equals("/images/Safe_Water")) { //$NON-NLS-1$
-				image += ".png"; //$NON-NLS-1$
+			if (!image.equals("/images/Safe_Water")) {
+				image += ".png";
 				dlg.lM01Icon.setIcon(new ImageIcon(getClass().getResource(image)));
 				if (hasTopMark()) {
@@ -171,14 +168,14 @@
 					case SAFE_PILLAR:
 					case SAFE_SPAR:
-						image = "/images/Top_Sphere_Red_Buoy.png"; //$NON-NLS-1$
+						image = "/images/Top_Sphere_Red_Buoy.png";
 						break;
 					case SAFE_SPHERE:
-						image = "/images/Top_Sphere_Red_Buoy_Small.png"; //$NON-NLS-1$
+						image = "/images/Top_Sphere_Red_Buoy_Small.png";
 						break;
 					case SAFE_BEACON:
-						image = "/images/Top_Sphere_Red_Beacon.png"; //$NON-NLS-1$
+						image = "/images/Top_Sphere_Red_Beacon.png";
 						break;
 					case SAFE_FLOAT:
-						image = "/images/Top_Sphere_Red_Float.png"; //$NON-NLS-1$
+						image = "/images/Top_Sphere_Red_Float.png";
 						break;
 					}
@@ -192,5 +189,5 @@
 
 	public void saveSign() {
-/*		Node node = getNode();
+		Node node = getNode();
 
 		if (node == null) {
@@ -198,55 +195,55 @@
 		}
 
-		switch (getStyleIndex()) {
-		case SAFE_PILLAR:
-			super.saveSign("buoy_safe_water"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_safe_water:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SAFE_SPAR:
-			super.saveSign("buoy_safe_water"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_safe_water:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SAFE_SPHERE:
-			super.saveSign("buoy_safe_water"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_safe_water:shape", "sphere")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SAFE_BEACON:
-			super.saveSign("beacon_safe_water"); //$NON-NLS-1$
-			break;
-		case SAFE_FLOAT:
-			super.saveSign("light_float"); //$NON-NLS-1$
+		switch (getShape()) {
+		case PILLAR:
+			super.saveSign("buoy_safe_water");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_safe_water:shape", "pillar"));
+			break;
+		case SPAR:
+			super.saveSign("buoy_safe_water");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_safe_water:shape", "spar"));
+			break;
+		case SPHERE:
+			super.saveSign("buoy_safe_water");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_safe_water:shape", "sphere"));
+			break;
+		case BEACON:
+			super.saveSign("beacon_safe_water");
+			break;
+		case FLOAT:
+			super.saveSign("light_float");
 			break;
 		default:
 		}
 
-		switch (getStyleIndex()) {
-		case SAFE_PILLAR:
-		case SAFE_SPAR:
-		case SAFE_SPHERE:
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_safe_water:colour_pattern", "vertical stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_safe_water:colour", "red;white")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SAFE_BEACON:
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:beacon_safe_water:colour_pattern", "vertical stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:beacon_safe_water:colour", "red;white")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SAFE_FLOAT:
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:light_float:colour_pattern", "vertical stripes")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:light_float:colour", "red;white")); //$NON-NLS-1$ //$NON-NLS-2$
+		switch (getShape()) {
+		case PILLAR:
+		case SPAR:
+		case SPHERE:
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_safe_water:colour_pattern", "vertical stripes"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_safe_water:colour", "red;white"));
+			break;
+		case BEACON:
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:beacon_safe_water:colour_pattern", "vertical stripes"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:beacon_safe_water:colour", "red;white"));
+			break;
+		case FLOAT:
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:light_float:colour_pattern", "vertical stripes"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:light_float:colour", "red;white"));
 			break;
 		default:
 		}
-		saveTopMarkData("sphere", "red"); //$NON-NLS-1$ //$NON-NLS-2$
-		saveLightData(); //$NON-NLS-1$
+		saveTopMarkData("sphere", "red");
+		saveLightData();
 		saveRadarFogData();
-*/	}
+	}
 }
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkSpec.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkSpec.java	(revision 24808)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/MarkSpec.java	(revision 24823)
@@ -4,4 +4,6 @@
 
 import org.openstreetmap.josm.data.osm.Node;
+import org.openstreetmap.josm.Main;
+import org.openstreetmap.josm.command.ChangePropertyCommand;
 
 import oseam.dialogs.OSeaMAction;
@@ -19,67 +21,48 @@
 		keys = getNode().getKeys();
 
-/*		dlg.cbM01TypeOfMark.setSelectedIndex(SPECIAL_PURPOSE);
-
-		dlg.cbM01StyleOfMark.removeAllItems();
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("SmpDialogAction.212")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.02")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.03")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.08")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.09")); //$NON-NLS-1$
-		dlg.cbM01StyleOfMark.setVisible(true);
-		dlg.lM01StyleOfMark.setVisible(true);
-
-		dlg.cbM01TopMark.removeAllItems();
-		dlg.cbM01TopMark.addItem(Messages.getString("SmpDialogAction.212"));
-		dlg.cbM01TopMark.addItem(Messages.getString("SmpDialogAction.210")); //$NON-NLS-1$
-		dlg.cbM01TopMark.addItem(Messages.getString("SmpDialogAction.211")); //$NON-NLS-1$
-		dlg.cbM01TopMark.addItem(Messages.getString("SmpDialogAction.214")); //$NON-NLS-1$
-		dlg.cbM01TopMark.addItem(Messages.getString("SmpDialogAction.215")); //$NON-NLS-1$
-
+		if (!dlg.panelMain.specButton.isSelected())
+			dlg.panelMain.specButton.doClick();
+
+		if (keys.containsKey("name"))
+			setName(keys.get("name"));
+
+		if (keys.containsKey("seamark:name"))
+			setName(keys.get("seamark:name"));
+
+		if (keys.containsKey("seamark:buoy_special_purpose:name"))
+			setName(keys.get("seamark:buoy_special_purpose:name"));
+		else if (keys.containsKey("seamark:beacon_special_purpose:name"))
+			setName(keys.get("seamark:beacon_special_purpose:name"));
+		else if (keys.containsKey("seamark:light_float:name"))
+			setName(keys.get("seamark:light_float:name"));
+
+/*
 		dlg.cM01TopMark.setEnabled(true);
 
 		setBuoyIndex(SPECIAL_PURPOSE);
 		setColour(SeaMark.YELLOW);
-		setLightColour("W"); //$NON-NLS-1$
-		setRegion(Main.pref.get("tomsplugin.IALA").equals("B")); //$NON-NLS-1$ //$NON-NLS-2$
-
-		if (keys.containsKey("name")) //$NON-NLS-1$
-			setName(keys.get("name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:buoy_special_purpose:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:buoy_special_purpose:name")); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:beacon_special_purpose:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:beacon_special_purpose:name")); //$NON-NLS-1$
-		else if (keys.containsKey("seamark:light_float:name")) //$NON-NLS-1$
-			setName(keys.get("seamark:light_float:name")); //$NON-NLS-1$
-
-		if (keys.containsKey("seamark:buoy_special_purpose:shape")) { //$NON-NLS-1$
-			str = keys.get("seamark:buoy_special_purpose:shape"); //$NON-NLS-1$
-
-			if (str.equals("pillar")) //$NON-NLS-1$
+		setLightColour("W");
+		setRegion(Main.pref.get("tomsplugin.IALA").equals("B"));
+
+		if (keys.containsKey("seamark:buoy_special_purpose:shape")) {
+			str = keys.get("seamark:buoy_special_purpose:shape");
+
+			if (str.equals("pillar"))
 				setStyleIndex(SPEC_PILLAR);
-			else if (str.equals("can")) //$NON-NLS-1$
+			else if (str.equals("can"))
 				setStyleIndex(SPEC_CAN);
-			else if (str.equals("conical")) //$NON-NLS-1$
+			else if (str.equals("conical"))
 				setStyleIndex(SPEC_CONE);
-			else if (str.equals("spar")) //$NON-NLS-1$
+			else if (str.equals("spar"))
 				setStyleIndex(SPEC_SPAR);
-			else if (str.equals("sphere")) //$NON-NLS-1$
+			else if (str.equals("sphere"))
 				setStyleIndex(SPEC_SPHERE);
-			else if (str.equals("barrel")) //$NON-NLS-1$
+			else if (str.equals("barrel"))
 				setStyleIndex(SPEC_BARREL);
 		}
 
-		if (keys.containsKey("seamark:beacon_special_purpose:shape")) { //$NON-NLS-1$
-			str = keys.get("seamark:beacon_special_purpose:shape"); //$NON-NLS-1$
-			if (str.equals("tower")) //$NON-NLS-1$
+		if (keys.containsKey("seamark:beacon_special_purpose:shape")) {
+			str = keys.get("seamark:beacon_special_purpose:shape");
+			if (str.equals("tower"))
 				setStyleIndex(SPEC_TOWER);
 			else
@@ -91,15 +74,15 @@
 		}
 
-		if ((keys.containsKey("seamark:type") && keys.get("seamark:type").equals( //$NON-NLS-1$ //$NON-NLS-2$
-				"beacon_special_purpose")) //$NON-NLS-1$
-				|| keys.containsKey("seamark:beacon_special_purpose:colour") //$NON-NLS-1$
-				|| keys.containsKey("seamark:beacon_special_purpose:shape")) { //$NON-NLS-1$
-			if (keys.containsKey("seamark:beacon_special_purpose:shape") //$NON-NLS-1$
-					&& keys.get("seamark:beacon_special_purpose:shape").equals("tower")) //$NON-NLS-1$ //$NON-NLS-2$
+		if ((keys.containsKey("seamark:type") && keys.get("seamark:type").equals(
+				"beacon_special_purpose"))
+				|| keys.containsKey("seamark:beacon_special_purpose:colour")
+				|| keys.containsKey("seamark:beacon_special_purpose:shape")) {
+			if (keys.containsKey("seamark:beacon_special_purpose:shape")
+					&& keys.get("seamark:beacon_special_purpose:shape").equals("tower"))
 				setStyleIndex(SPEC_TOWER);
 			else
 				setStyleIndex(SPEC_BEACON);
-		} else if (keys.containsKey("seamark:light_float:colour") //$NON-NLS-1$
-				&& keys.get("seamark:light_float:colour").equals("yellow")) //$NON-NLS-1$ //$NON-NLS-2$
+		} else if (keys.containsKey("seamark:light_float:colour")
+				&& keys.get("seamark:light_float:colour").equals("yellow"))
 			setStyleIndex(SPEC_FLOAT);
 
@@ -108,9 +91,9 @@
 
 		keys = node.getKeys();
-		if (keys.containsKey("seamark:topmark:shape")) { //$NON-NLS-1$
-			str = keys.get("seamark:topmark:shape"); //$NON-NLS-1$
+		if (keys.containsKey("seamark:topmark:shape")) {
+			str = keys.get("seamark:topmark:shape");
 			setTopMark(true);
-			if (str.equals("x-shape")) { //$NON-NLS-1$
-				if (keys.containsKey("seamark:topmark:colour")) { //$NON-NLS-1$
+			if (str.equals("x-shape")) {
+				if (keys.containsKey("seamark:topmark:colour")) {
 					if (keys.get("seamark:topmark:colour").equals("red"))
 						setTopMarkIndex(TOP_RED_X);
@@ -118,7 +101,7 @@
 						setTopMarkIndex(TOP_YELLOW_X);
 				}
-			} else if (str.equals("cone, point up")) { //$NON-NLS-1$
+			} else if (str.equals("cone, point up")) {
 					setTopMarkIndex(TOP_YELLOW_CONE);
-			} else if (str.equals("cylinder")) { //$NON-NLS-1$
+			} else if (str.equals("cylinder")) {
 				setTopMarkIndex(TOP_YELLOW_CAN);
 			}
@@ -154,5 +137,5 @@
 
 	public void setLightColour() {
-		super.setLightColour("W"); //$NON-NLS-1$
+		super.setLightColour("W");
 	}
 */
@@ -205,39 +188,39 @@
 			}
 
-			String image = "/images/Special_Purpose"; //$NON-NLS-1$
+			String image = "/images/Special_Purpose";
 
 			switch (getStyleIndex()) {
 			case SPEC_PILLAR:
-				image += "_Pillar"; //$NON-NLS-1$
+				image += "_Pillar";
 				break;
 			case SPEC_CAN:
-				image += "_Can"; //$NON-NLS-1$
+				image += "_Can";
 				break;
 			case SPEC_CONE:
-				image += "_Cone"; //$NON-NLS-1$
+				image += "_Cone";
 				break;
 			case SPEC_SPAR:
-				image += "_Spar"; //$NON-NLS-1$
+				image += "_Spar";
 				break;
 			case SPEC_SPHERE:
-				image += "_Sphere"; //$NON-NLS-1$
+				image += "_Sphere";
 				break;
 			case SPEC_BARREL:
-				image += "_Barrel"; //$NON-NLS-1$
+				image += "_Barrel";
 				break;
 			case SPEC_FLOAT:
-				image += "_Float"; //$NON-NLS-1$
+				image += "_Float";
 				break;
 			case SPEC_BEACON:
-				image += "_Beacon"; //$NON-NLS-1$
+				image += "_Beacon";
 				break;
 			case SPEC_TOWER:
-				image += "_Tower"; //$NON-NLS-1$
+				image += "_Tower";
 				break;
 			default:
 			}
 
-			if (!image.equals("/images/Special_Purpose")) { //$NON-NLS-1$
-				image += ".png"; //$NON-NLS-1$
+			if (!image.equals("/images/Special_Purpose")) {
+				image += ".png";
 				dlg.lM01Icon.setIcon(new ImageIcon(getClass().getResource(image)));
 				if (hasTopMark()) {
@@ -248,14 +231,14 @@
 						switch (getTopMarkIndex()) {
 						case TOP_YELLOW_X:
-							image = "/images/Top_X_Yellow_Buoy.png"; //$NON-NLS-1$
+							image = "/images/Top_X_Yellow_Buoy.png";
 							break;
 						case TOP_RED_X:
-							image = "/images/Top_X_Red_Buoy.png"; //$NON-NLS-1$
+							image = "/images/Top_X_Red_Buoy.png";
 							break;
 						case TOP_YELLOW_CAN:
-							image = "/images/Top_Can_Yellow_Buoy.png"; //$NON-NLS-1$
+							image = "/images/Top_Can_Yellow_Buoy.png";
 							break;
 						case TOP_YELLOW_CONE:
-							image = "/images/Top_Cone_Yellow_Buoy.png"; //$NON-NLS-1$
+							image = "/images/Top_Cone_Yellow_Buoy.png";
 							break;
 						}
@@ -267,14 +250,14 @@
 						switch (getTopMarkIndex()) {
 						case TOP_YELLOW_X:
-							image = "/images/Top_X_Yellow_Buoy_Small.png"; //$NON-NLS-1$
+							image = "/images/Top_X_Yellow_Buoy_Small.png";
 							break;
 						case TOP_RED_X:
-							image = "/images/Top_X_Red_Buoy_Small.png"; //$NON-NLS-1$
+							image = "/images/Top_X_Red_Buoy_Small.png";
 							break;
 						case TOP_YELLOW_CAN:
-							image = "/images/Top_Can_Yellow_Buoy_Small.png"; //$NON-NLS-1$
+							image = "/images/Top_Can_Yellow_Buoy_Small.png";
 							break;
 						case TOP_YELLOW_CONE:
-							image = "/images/Top_Cone_Yellow_Buoy_Small.png"; //$NON-NLS-1$
+							image = "/images/Top_Cone_Yellow_Buoy_Small.png";
 							break;
 						}
@@ -284,14 +267,14 @@
 						switch (getTopMarkIndex()) {
 						case TOP_YELLOW_X:
-							image = "/images/Top_X_Yellow_Beacon.png"; //$NON-NLS-1$
+							image = "/images/Top_X_Yellow_Beacon.png";
 							break;
 						case TOP_RED_X:
-							image = "/images/Top_X_Red_Beacon.png"; //$NON-NLS-1$
+							image = "/images/Top_X_Red_Beacon.png";
 							break;
 						case TOP_YELLOW_CAN:
-							image = "/images/Top_Can_Yellow_Beacon.png"; //$NON-NLS-1$
+							image = "/images/Top_Can_Yellow_Beacon.png";
 							break;
 						case TOP_YELLOW_CONE:
-							image = "/images/Top_Cone_Yellow_Beacon.png"; //$NON-NLS-1$
+							image = "/images/Top_Cone_Yellow_Beacon.png";
 							break;
 						}
@@ -300,14 +283,14 @@
 						switch (getTopMarkIndex()) {
 						case TOP_YELLOW_X:
-							image = "/images/Top_X_Yellow_Float.png"; //$NON-NLS-1$
+							image = "/images/Top_X_Yellow_Float.png";
 							break;
 						case TOP_RED_X:
-							image = "/images/Top_X_Red_Float.png"; //$NON-NLS-1$
+							image = "/images/Top_X_Red_Float.png";
 							break;
 						case TOP_YELLOW_CAN:
-							image = "/images/Top_Can_Yellow_Float.png"; //$NON-NLS-1$
+							image = "/images/Top_Can_Yellow_Float.png";
 							break;
 						case TOP_YELLOW_CONE:
-							image = "/images/Top_Cone_Yellow_Float.png"; //$NON-NLS-1$
+							image = "/images/Top_Cone_Yellow_Float.png";
 							break;
 						}
@@ -323,5 +306,5 @@
 
 	public void saveSign() {
-/*		Node node = getNode();
+		Node node = getNode();
 
 		if (node == null) {
@@ -329,82 +312,82 @@
 		}
 
-		switch (getStyleIndex()) {
-		case SPEC_PILLAR:
-			super.saveSign("buoy_special_purpose"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:colour", "yellow")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SPEC_SPAR:
-			super.saveSign("buoy_special_purpose"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:colour", "yellow")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SPEC_CAN:
-			super.saveSign("buoy_special_purpose"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:shape", "can")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:colour", "yellow")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SPEC_CONE:
-			super.saveSign("buoy_special_purpose"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:shape", "conical")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:colour", "yellow")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SPEC_SPHERE:
-			super.saveSign("buoy_special_purpose"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:shape", "sphere")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:colour", "yellow")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SPEC_BARREL:
-			super.saveSign("buoy_special_purpose"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:shape", "barrel")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:buoy_special_purpose:colour", "yellow")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SPEC_FLOAT:
-			super.saveSign("light_float"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:light_float:colour", "yellow")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SPEC_BEACON:
-			super.saveSign("beacon_special_purpose"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:beacon_special_purpose:colour", "yellow")); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		case SPEC_TOWER:
-			super.saveSign("beacon_special_purpose"); //$NON-NLS-1$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:beacon_special_purpose:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
-			Main.main.undoRedo.add(new ChangePropertyCommand(node,
-					"seamark:beacon_special_purpose:colour", "yellow")); //$NON-NLS-1$ //$NON-NLS-2$
+		switch (getShape()) {
+		case PILLAR:
+			super.saveSign("buoy_special_purpose");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:shape", "pillar"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:colour", "yellow"));
+			break;
+		case SPAR:
+			super.saveSign("buoy_special_purpose");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:shape", "spar"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:colour", "yellow"));
+			break;
+		case CAN:
+			super.saveSign("buoy_special_purpose");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:shape", "can"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:colour", "yellow"));
+			break;
+		case CONE:
+			super.saveSign("buoy_special_purpose");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:shape", "conical"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:colour", "yellow"));
+			break;
+		case SPHERE:
+			super.saveSign("buoy_special_purpose");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:shape", "sphere"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:colour", "yellow"));
+			break;
+		case BARREL:
+			super.saveSign("buoy_special_purpose");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:shape", "barrel"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:buoy_special_purpose:colour", "yellow"));
+			break;
+		case FLOAT:
+			super.saveSign("light_float");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:light_float:colour", "yellow"));
+			break;
+		case BEACON:
+			super.saveSign("beacon_special_purpose");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:beacon_special_purpose:colour", "yellow"));
+			break;
+		case TOWER:
+			super.saveSign("beacon_special_purpose");
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:beacon_special_purpose:shape", "tower"));
+			Main.main.undoRedo.add(new ChangePropertyCommand(node,
+					"seamark:beacon_special_purpose:colour", "yellow"));
 			break;
 		default:
 		}
-		switch (getTopMarkIndex()) {
+/*		switch (getTopMarkIndex()) {
 		case TOP_YELLOW_X:
-			saveTopMarkData("x-shape", "yellow"); //$NON-NLS-1$ //$NON-NLS-2$
+			saveTopMarkData("x-shape", "yellow");
 			break;
 		case TOP_RED_X:
-			saveTopMarkData("x-shape", "red"); //$NON-NLS-1$ //$NON-NLS-2$
+			saveTopMarkData("x-shape", "red");
 			break;
 		case TOP_YELLOW_CAN:
-			saveTopMarkData("cylinder", "yellow"); //$NON-NLS-1$ //$NON-NLS-2$
+			saveTopMarkData("cylinder", "yellow");
 			break;
 		case TOP_YELLOW_CONE:
-			saveTopMarkData("cone, point up", "yellow"); //$NON-NLS-1$ //$NON-NLS-2$
-			break;
-		}
-		saveLightData(); //$NON-NLS-1$
+			saveTopMarkData("cone, point up", "yellow");
+			break;
+		}
+*/		saveLightData();
 		saveRadarFogData();
-*/	}
+	}
 }
